/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.scriptcase.db.entity.BusComponentTree;
import net.northking.cctp.scriptcase.db.entity.MdBusComponentInfo;
import net.northking.cctp.scriptcase.dto.component.BusComponentTreeDetailDto;

import java.util.List;

/**
 * 业务组件目录树
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-21 17:09:45  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface BusComponentTreeService extends BasicService<BusComponentTree>
{

    List<BusComponentTreeDetailDto> findChildTreeList(BusComponentTree entity);

    List<BusComponentTreeDetailDto> findChildTreeListMore(BusComponentTree queryAll, List<String> projectList);

    void updateChildIdPath(BusComponentTree childUp, String idPath);

    int updateChildNamePath(BusComponentTree updateChild, String namePathNew);

    List<String> getComTreePath(MdBusComponentInfo comQuery,List<Integer> types);
    List<String> getComTreePathByMd(MdBusComponentInfo comQuery, List<Integer> types);

    List<BusComponentTree> findComTreeListLike(MdBusComponentInfo comQuery, List<Object> list);

    List<String> getChildTreeIds(String treeId);



}
